Skip to main content
`Ctrl`+`K`

# DMDAElementType

Defines the type of elements that will be returned by `DMDAGetElements()`

## Synopsis

    typedef enum {
      DMDA_ELEMENT_P1,
      DMDA_ELEMENT_Q1
    } DMDAElementType;

## See Also

DM Basics, `DMDA`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMCreateInterpolation()`, `DMDASetInterpolationType()`, `DMDASetElementType()`, `DMDAGetElements()`, `DMDARestoreElements()`, `DMDACreate()`

## Level

beginner

## Location

include/petscdmdatypes.h

## Examples

src/dm/tutorials/ex5.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/ex20.c
src/dm/tutorials/ex21.c
src/ksp/ksp/tutorials/ex71.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages